<div class="col-md-6 offset-md-3">
  <h3>Créer un nouveau profil d'employé</h3>
  <form novalidate (ngSubmit)="onSubmit()" [formGroup]="creationEmployeeForm">
    <div class="form-group">
      <label> Prénom</label>
      <input
        type="text"
        class="form-control"
        id="firstName"
        formControlName="firstName"
        [ngClass]="{
          'is-invalid':
            creationEmployeeForm.get('firstName').touched &&
            !creationEmployeeForm.get('firstName').valid
        }"
      />
      <div class="invalid-feedback">
        <span *ngIf="creationEmployeeForm.get('firstName').errors?.required">
          Entrez le prénom de l'employé
        </span>
      </div>
    </div>

    <div class="form-group">
      <label> Nom</label>
      <input
        type="text"
        class="form-control"
        id="lastName"
        [(ngModel)]="employee.lastName"
        formControlName="lastName"
        [ngClass]="{
          'is-invalid':
            creationEmployeeForm.get('lastName').touched &&
            !creationEmployeeForm.get('lastName').valid
        }"
      />
      <div class="invalid-feedback">
        <span *ngIf="creationEmployeeForm.get('lastName').errors?.required">
          Entrez le nom de l'employé
        </span>
      </div>
    </div>

    <div class="form-group">
      <label> Email</label>
      <input
        type="text"
        class="form-control"
        id="email"
        [(ngModel)]="employee.email"
        formControlName="email"
        [ngClass]="{
          'is-invalid':
            creationEmployeeForm.get('email').touched &&
            !creationEmployeeForm.get('email').valid
        }"
      />
      <div class="invalid-feedback">
        <span *ngIf="creationEmployeeForm.get('email').errors?.required">
          Entrez l'adresse mail
        </span>
        <span *ngIf="creationEmployeeForm.get('email').errors?.email">
          Entrez une adresse mail valide
        </span>
      </div>
    </div>
    <div class="form-group">
      <label> Téléphone</label>
      <input
        type="text"
        class="form-control"
        id="phoneNumber"
        [(ngModel)]="employee.phoneNumber"
        formControlName="phoneNumber"
        [ngClass]="{
          'is-invalid':
            creationEmployeeForm.get('phoneNumber').touched &&
            !creationEmployeeForm.get('phoneNumber').valid
        }"
      />
      <div class="invalid-feedback">
        <span *ngIf="creationEmployeeForm.get('phoneNumber').errors?.required">
          Entrez le numéro de téléphone
        </span>
        <span *ngIf="creationEmployeeForm.get('phoneNumber').errors?.minLength">
          Erreur de saisie du numéro de téléphone, exple: 0606060606
        </span>
        <span *ngIf="creationEmployeeForm.get('phoneNumber').errors?.maxLength">
          Erreur de saisie du numéro de téléphone, exple: 0606060606
        </span>
      </div>
    </div>
    <div class="btn-toolbar">
      <button
        class="btn btn-success mr-2 mb-2"
        type="submit"
        [disabled]="!creationEmployeeForm.valid"
      >
        Enregistrer
      </button>
      <a class="btn btn-warning mr-2 mb-2" routerLink="/employees" type="button"
        >Annuler</a
      >
    </div>
  </form>
</div>
